copilot-language-4.8: A Haskell-embedded DSL for monitoring hard real-time distributed systems.

Safe Haskell | Safe
Language | Haskell2010

Copilot.Language.Operators.Eq

Description

Equality applied point-wise on streams.

Synopsis

- (==) :: (Eq a, Typed a) => Stream a -> Stream a -> Stream Bool
- (/=) :: (Eq a, Typed a) => Stream a -> Stream a -> Stream Bool

# Documentation

(==) :: (Eq a, Typed a) => Stream a -> Stream a -> Stream Bool Source #

Compare two streams point-wise for equality.

The output stream contains the value True at a point in time if both argument streams contain the same value at that point in time.

(/=) :: (Eq a, Typed a) => Stream a -> Stream a -> Stream Bool Source #

Compare two streams point-wise for inequality.

The output stream contains the value True at a point in time if both argument streams contain different values at that point in time.